python -c "import struct; print(8 * struct.calcsize(\"P\"))" > result.txt
set /p target_platform=<result.txt
echo %target_platform%
del result.txt

if exist build rd /S /Q build
if exist dist rd /S /Q dist
if exist release rd /S /Q release
if exist venv rd /S /Q venv

call build_deps.bat

venv\Scripts\python -m pip install pyinstaller
venv\Scripts\pyinstaller main.py --clean --onefile --noconsole ^
--add-data "deviation_selection.ui;." ^
--add-data "measurement_results.ui;." ^
--add-data "resistances.ui;." ^
--add-data "venv\Lib\site-packages\libximc\win%target_platform%\bindy.dll;." ^
--add-data "venv\Lib\site-packages\libximc\win%target_platform%\libximc.dll;." ^
--add-data "venv\Lib\site-packages\libximc\win%target_platform%\xiwrapper.dll;." ^
--add-data "venv\Lib\site-packages\rikohm\rikohm-win%target_platform%\rikohm.dll;." ^
--add-data "venv\Lib\site-packages\rikohm\rikohm-win%target_platform%\xibridge.dll;."
::--add-data "venv\Lib\site-packages\libximc\win%target_platform%\xibridge.dll;."  For new libximc versions

copy README.md dist
copy deviation_selection.ui dist
copy measurement_results.ui dist
copy error.ui dist
copy resistances.ui dist
rename dist release
cd release
rename main.exe relime.exe

cd ..
if exist build rd /S /Q build
if exist dist rd /S /Q dist
if exist venv rd /S /Q venv
if exist *.spec del *.spec
pause